Package org.linphone.core

# Class EventListenerStub

java.lang.Object
org.linphone.core.EventListenerStub

All Implemented Interfaces:
  `EventListener`

public class EventListenerStub extends Object implements EventListener

## Constructor Summary

Constructors
Constructor
Description
`EventListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onNotifyReceived(Event event, Content content)`
Callback used to notify the received to a NOTIFY.
`void`
`onNotifyResponse(Event event)`
Callback used to notify the response to a sent NOTIFY.
`void`
`onPublishReceived(Event event, Content content)`
Callback used to notify the received to a PUBLISH.
`void`
`onPublishStateChanged(Event event, PublishState state)`
PUBLISH state changed callback.
`void`
`onSubscribeReceived(Event event)`
Callback used to notify the received to a SUBSCRIBE.
`void`
`onSubscribeStateChanged(Event event, SubscriptionState state)`
SUBSCRIBE state changed callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventListenerStub

public EventListenerStub()

## Method Details

### onNotifyResponse

public void onNotifyResponse(@NonNull Event event)
Description copied from interface: `EventListener`
Callback used to notify the response to a sent NOTIFY.

Specified by:
  `onNotifyResponse` in interface `EventListener`
Parameters:
  `event` - The `Event` object that has sent the NOTIFY and for which we
  received a response

### onNotifyReceived

public void onNotifyReceived(@NonNull Event event, @Nullable Content content)
Description copied from interface: `EventListener`
Callback used to notify the received to a NOTIFY.

Specified by:
  `onNotifyReceived` in interface `EventListener`
Parameters:
  `event` - The LinphoneEvent object that receive the NOTIFY
  `content` - The LinphoneContent object that containe the body of the event

### onSubscribeReceived

public void onSubscribeReceived(@NonNull Event event)
Description copied from interface: `EventListener`
Callback used to notify the received to a SUBSCRIBE.

Specified by:
  `onSubscribeReceived` in interface `EventListener`
Parameters:
  `event` - The LinphoneEvent object that receive the SUBSCRIBE

### onSubscribeStateChanged

public void onSubscribeStateChanged(@NonNull Event event, SubscriptionState state)
Description copied from interface: `EventListener`
SUBSCRIBE state changed callback.

Specified by:
  `onSubscribeStateChanged` in interface `EventListener`
Parameters:
  `event` - The `Event` object that state changed
  `state` - The `SubscriptionState`

### onPublishReceived

public void onPublishReceived(@NonNull Event event, @Nullable Content content)
Description copied from interface: `EventListener`
Callback used to notify the received to a PUBLISH.

Specified by:
  `onPublishReceived` in interface `EventListener`
Parameters:
  `event` - The LinphoneEvent object that receives the PUBLISH
  `content` - The LinphoneContent object that contains the body of the event

### onPublishStateChanged

public void onPublishStateChanged(@NonNull Event event, PublishState state)
Description copied from interface: `EventListener`
PUBLISH state changed callback.

Specified by:
  `onPublishStateChanged` in interface `EventListener`
Parameters:
  `event` - The LinphoneEvent object that state changed
  `state` - The LinphonePublishState